## petsc 3.8.3+dfsg1

=== debian/changelog ===
petsc (3.8.3+dfsg1-7) unstable; urgency=medium

  * debian patch make_parallel_f88a919.patch, adapted from upstream
    merge f88a919 to facilitate parallel builds. Closes: #893509.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 00:59:49 +0800

petsc (3.8.3+dfsg1-6) unstable; urgency=medium

  * use upstream patches b1eb7ee26db and deb554b to fix PETSC_DIR in
    petscconf.h.
  * update VCS tags to salsa.debian.org
  * debian/rules: define DEB_STRIPPED_UPSTREAM_VERSION as upstream
    version (regardless of whether we applied dfsg or not)
  * don't write the build dir (-fdebug-prefix-map) into the installed
    configuration files
  * don't install conf/uninstall.py
  * d/rules: use DEB_BUILD_OPTIONS to set the number of cpus (nproc)
    available for a parallel build (parallel=`nproc`)
  * debhelper compatibility level 11
  * Standards-Version: 4.1.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Mar 2018 14:27:45 +0800

petsc (3.8.3+dfsg1-5) unstable; urgency=medium

  * debian/extract_MPI_dependency: handle alpha/beta markers in minor
    version. e.g. take mpich 3.3~a2 as >= 3.3~a2, << 3.4.
  * debian/rules: create a blacklist for arches known to fail tests on
    the build daemons. Build them without running tests.
    Currently ARCH_NO_TEST_LIST=powerpc x32

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Mar 2018 02:53:44 +0800

petsc (3.8.3+dfsg1-4) unstable; urgency=medium

  * debian/rules: separate -arch and -indep rules for
    override_dh_auto_install. Fixing petscconf.h applies to -arch only.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 16:37:58 +0800

petsc (3.8.3+dfsg1-3) unstable; urgency=medium

  * set PETSC_DIR in petscconf.h to install dir not build dir.
    Closes: #891952.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 11:59:03 +0800

petsc (3.8.3+dfsg1-2) unstable; urgency=medium

  * drop Recommends: csh (petscmpiexec now converted to posix)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 08:30:06 +0800

petsc (3.8.3+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
  * List optimised OpenBLAS and ATLAS as Build-Dep alternatives for
    BLAS and LAPACK.
  * Activate support for SuperLU-Dist.
    - patch superlu-dist_no-parmetis.patch disconnects SuperLU-Dist
      from parmetis (which is not available, non-free)
  * Update debian/copyright
    - use https format url
    - matlab/laplacian* is BSD-2-clause, but acknowledge authors
      Bryan C. Smith and Andrew V. Knyazev
    - add include/petsc/private/hash.h, MIT licence from attractor
    - add src/ksp/ksp/examples/tutorials/ex63.cxx*
      (BSD-3-clause from Sandia Corporation, along with tests/ex46.cxx*)
  * matlab scripts and sample matrix files are set non-executable
  * remove debian patch scotch-shlib.patch
    (ptscotch specified during configuration)
  * debian patch petscmpiexec_posix_sh.patch converts petscmpiexec to
    posix sh (csh scripts are considered harmful, see Debian Policy 10.4)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 02:26:41 +0800

petsc (3.8.0+dfsg1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - updated API, fortran interfaces are simplified.
  * Remove deprecated debian patches:
    - applied upstream:
        build-ssl1.1.patch
        mpi-version-test.patch
        g++-4.8.patch
    - redundant:
        example-src-dir.patch
        install-dir.patch
        configure-kfreebsd8.patch
  * New package structure: drop patch-specific versions and alternatives
    i.e. drop 3.8.0 specific packages, any 3.8.Z will satisfy petsc3.8
  * configuration updates:
    - configure option --with-mpi-dir not required
      (specify MPI compilers mpicc,mpicxx,mpif90 explicitly)
    - use pkg-config to set hdf5 include and libs

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Nov 2017 09:36:28 +0800
