=== debian/control ===
Source: petsc
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11), quilt, python (>= 2.2), gfortran,
 pkg-config, dh-python,
 mpi-default-dev (>= 1.0.2),
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev (>= 1:4.2.1),
 libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.11.1-3), libptscotch-dev,
 libhdf5-mpi-dev (>= 1.8.8),
 libscalapack-mpi-dev, libmumps-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 libsuperlu-dev (>= 5.2), libsuperlu-dist-dev
Vcs-Git: git@salsa.debian.org:science-team/petsc.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc
Homepage: http://www.mcs.anl.gov/petsc

Package: libpetsc-real3.8-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libpetsc-real3.8 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libspooles-dev,
 libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, gfortran,
 libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 ${misc:Depends}, ${python:Depends}
Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-real3.8-dbg (= ${binary:Version}), petsc3.8-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.8 with real numbers.

Package: petsc-dev
Architecture: all
Section: libdevel
Depends: libpetsc-real3.8-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This metapackage will always depend on the most recent version of libpetscX-dev
 (X=version), so if you install it then you will get upgrades automatically.

Package: libpetsc-real3.8
Architecture: any
Multi-Arch: same
Section: libs
Provides: libpetsc3.8
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.8 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.8 shared library for real numbers.
 .
 It provides soname libpetsc-real3.8

Package: libpetsc-real3.8-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-real3.8-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 ${python:Depends}
Recommends: ksh | mksh | pdksh | zsh
Provides: petsc3.8-dbg
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.8 with real numbers.
 .
 Libraries include unstripped symbols, but this package is also built with
 internal PETSc debugging activated.

Package: petsc3.8-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libpetsc-real3.8-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains documentation for developing with PETSc 3.8.

Package: libpetsc-complex3.8-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpetsc-complex3.8 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libspooles-dev,
 libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, gfortran,
 libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 ${misc:Depends}, ${python:Depends}
Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-complex3.8-dbg (= ${binary:Version}), petsc3.8-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.8 with support for complex numbers.
 .
 This deactivates support for HYPRE.

Package: libpetsc-complex3.8
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.8 of PETSc with Complex Numbers
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.8 shared library, supporting complex numbers.
 .
 It provides soname libpetsc-complex3.8

Package: libpetsc-complex3.8-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-complex3.8-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 ${python:Depends}
Recommends: ksh | mksh | pdksh | zsh
Provides: petsc-complex3.8-dbg
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.8 with complex number support.
 .
 Libraries include unstripped symbols, but this package is also built with
 internal PETSc debugging activated.
