## petsc 3.9.3+dfsg1

=== debian/changelog ===
petsc (3.9.3+dfsg1-4) unstable; urgency=medium

  * add ia64 to the no-test list
  * add debian/tests (autopkgtest)
  * Standards-Version: 4.2.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Aug 2018 20:48:15 +0800

petsc (3.9.3+dfsg1-3) unstable; urgency=medium

  * Include the whole upstream mpi version in MPI dependency, including
    the subminor (release) version. PETSc is forward compatible with
    the same MPI minor version, but must not go backwards in the
    subminor. Closes: #904020.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jul 2018 11:02:44 +0800

petsc (3.9.3+dfsg1-2) unstable; urgency=medium

  * distinguish between arch and arch-indep in override_dh_fixperms

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 13:13:42 +0800

petsc (3.9.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Reorganise directory structure of libpetsc3.9-dev-examples
  * add mips64el to no-test list. Times out on runex19_fieldsplit_mumps

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 10:20:07 +0800

petsc (3.9.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - reinstates deprecated API (marked as DEPRECATED)
      e.g. use MatSolverType instead of MatSolverPackage
    - applies split_petscdmmod_23928a8.patch
  * Add hppa to no-test list. Tests pass intermittently but unreliably.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 May 2018 01:04:46 +0800

petsc (3.9.1+dfsg1-1exp3) experimental; urgency=medium

  * add -ffree-line-length-0 to FCFLAGS to compile SNES test ex5f
  * Place no-ex19 arches on to the no-test list. If they fail one test,
    they'll fail others. Drop patch test_mpi_conditional_bug816101.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 May 2018 21:07:03 +0800

petsc (3.9.1+dfsg1-1exp2) experimental; urgency=medium

  * fix spaces in build-time arch tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 May 2018 03:13:51 +0800

petsc (3.9.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Place arches on the no-ex19-test list: armel armhf i386 powerpc
    (thanks Christophe Trophime for use of makefile conditionals)
  * Apply upstream patch split_petscdmmod_23928a8.patch to split
    petscdmmod.F to enable build on constrained 32bit systems
    (mips,mipsel). Closes: #897006.
  * get verbose build logs with make V=1

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 May 2018 16:26:36 +0800

petsc (3.9.0+dfsg1-1exp4) experimental; urgency=medium

  * update patch test_mpi_conditional_bug816101 to skip ex19 if
    RUN_SNES_EX19_2MPI_TEST=no
  * run all tests with patch label_tests.patch to diagnose more
    clearly which tests exactly are failing to return

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Apr 2018 01:13:58 +0800

petsc (3.9.0+dfsg1-1exp3) experimental; urgency=medium

  * run tests according to DEB_HOST_ARCH not DEB_HOST_MULTIARCH
  * extract examples from real-debug build

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Apr 2018 11:00:18 +0800

petsc (3.9.0+dfsg1-1exp2) experimental; urgency=medium

  * Only process MathJax.js in docs when examples package is built
    (i.e. arch-all binary independent build)

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Apr 2018 00:41:55 +0800

petsc (3.9.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - refresh debian/patches
    - remove patches (applied upstream):
        - hypre-2.14.0_e6de09342.patch
        - install_fixDir_petscconf.h_b1eb7ee26db_deb554b.patch
        - make_parallel_f88a919.patch
    - remove superlu-dist_no-parmetis.patch, now redundant (parmetis
      handling is now more robust)
    - tutorials no longer installed. Instead see
      http://www.mcs.anl.gov/petsc/documentation/tutorials/index.html
  * update debian/copyright: excluded (DFSG) dir bin/win32fe has been
    moved to lib/petsc/ 
  * d/rules override_dh_clean: remove build files
  * libpetsc*dev packages Suggests: python3 | python, since python
    support scripts are provided in $PETSC_DIR/lib/petsc/bin
  * Example and tutorial scripts are now installed in
    /usr/share/petsc/examples by package libpetsc3.9-dev-examples

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Apr 2018 12:59:59 +0800

petsc (3.8.4+dfsg1-3) UNRELEASED; urgency=medium

  * Fix build tests (cherry-pick commit 52672c1f from experimental).

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Apr 2018 12:19:04 +0800

petsc (3.8.4+dfsg1-2) unstable; urgency=medium

  * Build-Depends: libhypre-dev (>= 2.14.0)
    - apply upstream patch hypre-2.14.0_e6de09342.patch
      to enable build against hypre 2.14. Closes: #894559.
    - remove libpetsc-complex3.8-dev Depends: libhypre-dev
      (complex PETSc does not support hypre)
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Apr 2018 09:47:34 +0800

petsc (3.8.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: change Vcs-Git to https so general users can clone.

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Apr 2018 17:59:27 +0800
