=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 # package maintainers to append FLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND  = -fPIC
-export DEB_FFLAGS_MAINT_APPEND  = -fPIC
-export DEB_FCFLAGS_MAINT_APPEND  = -fPIC
+export DEB_FFLAGS_MAINT_APPEND  = -fPIC -ffree-line-length-0
+export DEB_FCFLAGS_MAINT_APPEND  = $(DEB_FFLAGS_MAINT_APPEND)
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
 
 # keep the build dir (in the -fdebug-prefix-map flag) out of the installed config files,
@@ -92,26 +92,23 @@
 PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REAL_SONAME)-dev
 PETSC_REAL_PACKAGE=lib$(PETSC_REAL_SONAME)
 PETSC_REAL_DEBUG_PACKAGE=lib$(PETSC_REAL_SONAME)-dbg
-PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
 PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dev
 PETSC_COMPLEX_PACKAGE=lib$(PETSC_COMPLEX_SONAME)
 PETSC_COMPLEX_DEBUG_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dbg
+export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
+export PETSC_DEV_EXAMPLE_PACKAGE=lib$(PETSC_NAME)-dev-examples
 
 # install into /usr/lib/petscdir rather than /usr/lib/petsc
 # to allow /usr/lib/petsc to be configured by alternatives
 export PETSC_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real
-PETSC_REAL_DIR_DEBUG_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real-debug
+export PETSC_REAL_DIR_DEBUG_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real-debug
 export PETSC_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex
-PETSC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex-debug
+export PETSC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex-debug
 
-PACKAGE_REAL_INSTALL_BASEDIR=debian/tmp/$(PETSC_NAME)-real
-PACKAGE_REAL_INSTALL_DIR=$(PACKAGE_REAL_INSTALL_BASEDIR)/$(PETSC_REAL_DIR_PREFIX)
-PACKAGE_REAL_DEBUG_INSTALL_BASEDIR=debian/tmp/$(PETSC_NAME)-real-debug
-PACKAGE_REAL_DEBUG_INSTALL_DIR=$(PACKAGE_REAL_DEBUG_INSTALL_BASEDIR)/$(PETSC_REAL_DIR_DEBUG_PREFIX)
-PACKAGE_COMPLEX_INSTALL_BASEDIR=debian/tmp/$(PETSC_NAME)-complex
-PACKAGE_COMPLEX_INSTALL_DIR=$(PACKAGE_COMPLEX_INSTALL_BASEDIR)/$(PETSC_COMPLEX_DIR_PREFIX)
-PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR=debian/tmp/$(PETSC_NAME)-complex-debug
-PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=$(PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR)/$(PETSC_COMPLEX_DEBUG_DIR_PREFIX)
+PACKAGE_REAL_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real
+export PACKAGE_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real-debug
+PACKAGE_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex
+PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex-debug
 
 CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
 	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
@@ -146,3 +143,9 @@
 	dh_auto_clean -p$(PETSC_REAL_DEV_PACKAGE) -- \
 	  PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_REAL_BUILD_DIR); \
 	fi
+	if [ -d $(PETSC_COMPLEX_BUILD_DIR) ]; then \
+	dh_auto_clean -p$(PETSC_COMPLEX_DEV_PACKAGE) -- \
+	  PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_COMPLEX_BUILD_DIR); \
+	fi
+	if [ -d $(PETSC_COMPLEX_DEBUG_BUILD_DIR) ]; then \
+	dh_auto_clean -p$(PETSC_COMPLEX_DEBUG_PACKAGE) -- \
